package cerebral.parallelCoordinates;
import prefuse.visual.VisualItem;
import prefuse.visual.sort.ItemSorter;


public class MyItemSorter extends ItemSorter {
	public int score(VisualItem item) {
		if (item.isInGroup(ParallelCoordinates.RUBBER_BAND)){
			return 10;
		}
		if (item.isInGroup(ParallelCoordinates.FILTER_BOTTOM_LABELS) || 
		        item.isInGroup(ParallelCoordinates.FILTER_TOP_LABELS)){
		    return 9;
		}
		    
		if (item.isInGroup(ParallelCoordinates.COORDINATES)){
			return 1;
		}
		if (item.isInGroup(ParallelCoordinates.DATA)){
			if (item.isHover()){
				return 7;
			}
			if (item.isHighlighted()){
				return 6;
			}
			if (item.isInteractive()){
				if (item.isInGroup(ParallelCoordinates.SELECTED) && !item.getBoolean(ParallelCoordinates.IGNORE)){
					return 5;
				}else{
                    if (item.getBoolean(ParallelCoordinates.IGNORE)){
                        return 2;
                    }else{
                        return 3;
                    }
				}
			}else{
				return 2;
			}
		}
		if (item.isInGroup(ParallelCoordinates.FILTERS)){
			return 1;
		}
		return 0;
	}
}
