package cerebral.parallelCoordinates.controls;

import java.awt.event.MouseEvent;
import java.util.HashSet;
import java.util.Set;

import prefuse.controls.ControlAdapter;
import prefuse.util.ui.UILib;
import prefuse.visual.VisualItem;
import cerebral.parallelCoordinates.ParallelCoordinates;

public class LineSelect extends ControlAdapter {

	private ParallelCoordinates PC;
	private Set selection = new HashSet();
	private Object[] addSelection = new Object[1];

	public LineSelect(ParallelCoordinates PC) {
		this.PC = PC;
	}

	public void itemClicked(VisualItem item, MouseEvent e) {
		if (UILib.isButtonPressed(e, LEFT_MOUSE_BUTTON)
				&& e.getClickCount() == 1) {
			if (item.isInGroup(ParallelCoordinates.DATA)) {
				if (!e.isShiftDown()) {
					selection.clear();
					selection.add(item);
					PC.setSelectedItems(selection);
				} else {
					addSelection[0] = item;
					PC.selectInCytoscape(addSelection, !item.isInteractive());
				}

			}
		}
	}
}
