package cerebral.parallelCoordinates.controls;

import java.awt.event.MouseEvent;
import java.awt.event.MouseListener;
import java.awt.event.MouseMotionListener;

import javax.swing.JLabel;
import javax.swing.JMenuItem;
import javax.swing.JPanel;
import javax.swing.JPopupMenu;
import javax.swing.JSlider;
import javax.swing.SwingConstants;
import javax.swing.plaf.basic.BasicSliderUI;

public class TooltipSliderUI extends BasicSliderUI implements MouseMotionListener,
        MouseListener {
    final JPopupMenu pop = new JPopupMenu();

    JMenuItem item = new JMenuItem();

    JPanel parent;

    JLabel lblPop = new JLabel("", SwingConstants.CENTER);

    public TooltipSliderUI(JSlider slider) {
        super(slider);
        slider.addMouseMotionListener(this);
        slider.addMouseListener(this);
        pop.add(item);
    }

    public void setPop(MouseEvent me) {
        item.setText("" + slider.getValue());
        pop.show(me.getComponent(), me.getX() - 30, -25);
    }

    public void mouseDragged(MouseEvent me) {
        setPop(me);
    }

    public void mouseMoved(MouseEvent me) {
    }

    public void mousePressed(MouseEvent me) 
       {
        setPop(me);
    }

    public void mouseClicked(MouseEvent me) {
    }

    public void mouseReleased(MouseEvent me) {
        pop.setVisible(false);
    }

    public void mouseEntered(MouseEvent me) {
    }

    public void mouseExited(MouseEvent me) {
    }
}